<?php
	require $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	ini_set('display_errors',1);
	ini_set('display_startup_erros',1);
	error_reporting(E_ALL);
	$m = ($_POST["mercado"]);
	$mt = $mysqli->escape_string(utf8_decode($m));
	$u = $_POST["usuario"];

	$r = array();
	$mod = array();
	$sql = $mysqli->query("SELECT * FROM mercados WHERE mercado_nome = '$mt' and mercado_usuario = '$u' ORDER BY mercado_opcao ASC");

	while ($reg = $sql->fetch_assoc()) {
		$i = count($r);
		$r[$i]['mercado'] = utf8_encode($reg["mercado_nome"]);
		$r[$i]['opcao'] = utf8_encode($reg["mercado_opcao"]);
		$r[$i]['ativo'] = utf8_encode($reg["mercado_ativo"]);
		$r[$i]['tipo'] = utf8_encode($reg["mercado_tipo"]);
		$r[$i]['porcentagem'] = utf8_encode($reg["mercado_porcentagem"]);
		$r[$i]['limite'] = utf8_encode($reg["mercado_limite"]);
		$r[$i]['usuario'] = utf8_encode($reg["mercado_usuario"]);

		$mod[utf8_encode($reg["mercado_opcao"])]['ativo'] = utf8_encode($reg["mercado_ativo"]);
		$mod[utf8_encode($reg["mercado_opcao"])]['tipo'] = utf8_encode($reg["mercado_tipo"]);
		$mod[utf8_encode($reg["mercado_opcao"])]['porcentagem'] = utf8_encode($reg["mercado_porcentagem"]);
		$mod[utf8_encode($reg["mercado_opcao"])]['limite'] = utf8_encode($reg["mercado_limite"]);

		if($reg["mercado_opcao"] <> ''){ unset($r[$i]); } // Só é preciso listar o item que mostra o MERCADO. Os itens de opções serão listados abaixo
	}

    // Recupera opções
    $xml = simplexml_load_file('http://www.sysfbet.com.br/cdn/mercados.xml');
    $mercados = array();

    foreach ($xml as $mercado) {
        $i = 0;
        if((string)$mercado->attributes()->name <> $m){ continue; }

        foreach ($mercado as $opcao) {
			$i = count($r);
			$r[$i]['mercado'] = (string)$mercado->attributes()->name;
			$r[$i]['opcao'] = (string)$opcao->attributes()->name;
			$r[$i]['ativo'] = '1';
			$r[$i]['tipo'] = '';
			$r[$i]['porcentagem'] = '';
			$r[$i]['limite'] = '';
			$r[$i]['usuario'] = $u;

			if(isset($mod[(string)$opcao->attributes()->name])){
				$r[$i]['ativo'] = $mod[(string)$opcao->attributes()->name]['ativo'];
				$r[$i]['tipo'] = $mod[(string)$opcao->attributes()->name]['tipo'];
				$r[$i]['porcentagem'] = $mod[(string)$opcao->attributes()->name]['porcentagem'];
				$r[$i]['limite'] = $mod[(string)$opcao->attributes()->name]['limite'];
			}
        }
    }
	echo json_encode($r);
?>